

import {Model} from "./Model";

const instance:symbol = Symbol("instance");

export class ModelFactory {

  public static getInstance<T extends Model>(model: {new():T}): T {
    if (!(<any>model)[instance]) {
      (<any>model)[instance] = new model();
    }

    return (<any>model)[instance];
  }
}
