import HftOssUpload from './plugin/HftOssUpload/index';
const components = [HftOssUpload];

const install: any = (vue: any, opts: any = {}) => {
  // 是否已注册
  if (install.installed) return;
  
  // 遍历注册全局组件
  components.map((component) => {
    vue.component(component.name, component);
  })
  
  // 判断是否是直接引入文件
  if (typeof window != 'undefined' && window.Vue) {
    install(window.Vue);
  }
}

export default {
  // 导出的对象必须具有 install，才能被 Vue.use() 方法安装
  install,
  
  // 以下是具体的组件列表
  HftOssUpload,
}
