import {Notification} from "@/common/Notification";
import {NotifyName} from "@/common/Notify";

// 页面滚动监听
export function ScrollPage(eventName: string) {
  return function(target: any){
    target.prototype[eventName] = function (e: any) {
      new Notification<number>().postNotification(NotifyName.titleOpacity,
        (e.srcElement || {}).scrollTop || (e.target || {}).scrollTop || 0);
    }
  }
}
